Package org.codehaus.groovy.classgen.asm.sc

## Class StaticPropertyAccessHelper

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.sc.StaticPropertyAccessHelper

-     public abstract class StaticPropertyAccessHelper
      extends Object

  Facilitates the generation of statically-compiled bytecode for property access.
  Since:
    2.4.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticPropertyAccessHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Expression` | `transformToSetterCall​(Expression receiver, MethodNode setterMethod, Expression valueExpression, boolean implicitThis, boolean safe, boolean spreadSafe, boolean returnValue, Expression sourceExpression)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticPropertyAccessHelper

          public StaticPropertyAccessHelper()

  - ### Method Detail

    - #### transformToSetterCall

          public static Expression transformToSetterCall​(Expression receiver,
                                                         MethodNode setterMethod,
                                                         Expression valueExpression,
                                                         boolean implicitThis,
                                                         boolean safe,
                                                         boolean spreadSafe,
                                                         boolean returnValue,
                                                         Expression sourceExpression)